## yorick 1.5.14-1

=== Makefile ===
SHELL=/bin/sh

ALLDIRS=play gist yorick matrix fft doc
CONFIGDIRS=play yorick
PKGDIRS=

all: yorexe gistexe docs

yorexe: Make.cfg
	@cd yorick; $(MAKE)

gistexe: Make.cfg
	@cd gist; $(MAKE) gist

docs:
	@cd doc; $(MAKE) docs

WITH_GLX=
Make.cfg:
	WITH_GLX=$(WITH_GLX) ./configure $(PKGDIRS)

config: distclean
	@$(MAKE) "WITH_GLX=$(WITH_GLX)" Make.cfg

prefix=.
Y_PLATFORM=.
Y_SITE=.
Y_HOME=.
ysite:
	if S="s?^prefix=.*?prefix=$(prefix)?;\
	s?^Y_PLATFORM=.*?Y_PLATFORM=$(Y_PLATFORM)?;\
	s?^Y_SITE=.*?Y_SITE=$(Y_SITE)?;\
	s?^Y_HOME=.*?Y_HOME=$(Y_HOME)?";\
	sed -e "$$S" ysite.sh >ysite.sh1; then mv ysite.sh1 ysite.sh; fi

clean::
	@rm -f Make.del
	@if test ! -r Make.cfg; then touch Make.cfg Make.del; fi
	@for d in $(ALLDIRS); do ( cd $$d; $(MAKE) clean; ); done
	@if test -r Make.del; then rm -f Make.cfg Make.del; fi
	rm -f *~ '#'* *.o cfg* ysite.sh? core a.out

distclean::
	@touch Make.cfg
	@for d in $(ALLDIRS); do ( cd $$d; $(MAKE) distclean; ); done
	rm -f *~ '#'* *.o cfg* Make.* ysite.sh? core a.out


check:
	@cd yorick; $(MAKE) check

INSTALL_ROOT=
Y_BINDIR=
Y_DOCDIR=
install: yorexe gistexe docs
	./install.sh +both "$(INSTALL_ROOT)" "$(Y_BINDIR)" $(Y_DOCDIR)

install1: yorexe gistexe
	./install.sh +home "$(INSTALL_ROOT)" "$(Y_BINDIR)" $(Y_DOCDIR)

uninstall:
	./install.sh -both "$(INSTALL_ROOT)" "$(Y_BINDIR)" $(Y_DOCDIR)

uninstall1:
	./install.sh -home "$(INSTALL_ROOT)" "$(Y_BINDIR)" $(Y_DOCDIR)

dist: distclean
	@$(MAKE) prefix=. Y_PLATFORM=. Y_SITE=. Y_HOME=. ysite
	W=`pwd`;N=`basename $$W`;R=`tail -1 VERSION`;cd ..;\
	tar cvf - $$N|gzip - >$$N.$$R.tgz;

YGROUP=yorick
sharable:
	chgrp -R $(YGROUP) .
	chmod -R g+w .
	find . -type d | xargs chmod g+s

relocatable:
	$(MAKE) Y_HOME=relocate ysite
	$(MAKE) install
	cp install.rel relocate/README
	cp emacs/yorick.el relocate
	mkdir relocate/contrib
	W=`pwd`;N=`basename $$W`;R=`tail -1 VERSION`;\
	mv relocate $$N-$$R;tar cvf - $$N-$$R|gzip - >$$N-$$R.tgz;\
	rm -rf $$N-$$R

# targets for yorgl package
yorgl:
	@if test -r Make.cfg && test -z "`grep ^GINCS= Make.cfg`"; then \
	    rm -f Make.cfg; fi
	@$(MAKE) WITH_GLX=1 yorexe
	@cd yorgl; $(MAKE)

# targets for ./configure
echocc:
	echo "$(CC)" >cfg.tmp
echorl:
	echo "$(RANLIB)" >cfg.tmp
echoar:
	echo "$(AR)" >cfg.tmp
echoml:
	echo "$(MATHLIB)" >cfg.tmp
pkgconfig:
	@for d in $(CONFIGDIRS); do ( cd $$d; $(MAKE) config; ); done

yorclean:
	@:

=== matrix/Makefile ===
SHELL=/bin/sh
MAKE=make
include ../Make.cfg

CFLAGS=$(COPTIONS) -I.
CBLASY=cblasy.o

# to use external blas (e.g.- atlas), comment above, uncomment below
# also need to add -lblas (or whatever) to MATHLIB in ../Make.cfg
#CFLAGS=$(COPTIONS) -DUSE_CBLAS -DCBLAS_INDEX=int -I.
#CBLASY=

OBJS=dlamc3.o dgyor.o dgtsv.o dgesv.o dgecon.o dgels.o dgelss.o \
  dbdsqr.o dlasr.o dgesvd.o dgesv2.o $(CBLASY)

all: $(OBJS)

libyor: make.done

# gist/make.done touched when libyor.a is clobbered
make.done: $(OBJS) ../gist/make.done
	$(AR) r ../yorick/libyor.a $(OBJS)
	@touch $@

config:
	@:

clean::
	rm -f *~ '#'* *.o *.a *.done core a.out

distclean:: clean

# ------------- dependencies -------------

dlamc3.o: dlamc3.c
	$(CC) $(CPPFLAGS) -g -c dlamc3.c

dbdsqr.o: dg.h cblasy.h
dgecon.o: dg.h cblasy.h
dgels.o: dg.h cblasy.h
dgelss.o: dg.h cblasy.h
dgesv.o: dg.h cblasy.h
dgesv2.o: dg.h cblasy.h
dgesvd.o: dg.h cblasy.h
dgtsv.o: dg.h cblasy.h
dgyor.o: dg.h cblasy.h
dlasr.o: dg.h cblasy.h

=== mpy/Makefile ===
#
# Makefile for MPY = Message Passing Yorick based on the MPI standard
#
# $Id$

MPY_VERSION=1.1

# ---------------------------------------------------------------------------

# Makefile for mpy
# generated by make.i     Sat May 12 11:00:09 2001

######################################################################
# First section is definitions for Maketmpl

MAKE_TEMPLATE = ./Make-mpy

# Use
# MAKE_TEMPLATE = $(Y_HOME)/Make-mpy
# Y_OTHERS = mpy.i
# PKG_LIBS = -lmpy
# to put the mpy routines into another custom version of Yorick

C_OPTIMIZE = -O
LD_OPTIMIZE = $(C_OPTIMIZE)

CODE_NAME = mpy
CODE_LIBRARY = libmpy.a
NON_SHARABLE = unused
YWRAP_O =

OBJS = mpy.o
PKG_LIBS = -lmpy

Y_INCLUDE = mpy.i
Y_OTHERS = matrix.i fft.i

SYS_LIBS =

CLEAN_UP = mpy

######################################################################
# Second section is targets for new package/code

all:: $(CODE_LIBRARY) $(CODE_NAME) startup

startup::
	cp $(Y_INCLUDE) ../i0

check: all
	echo "see testmp.i for testing procedures"

Y_BINDIR=$(Y_HOME)/bin

install1: $(CODE_LIBRARY) $(CODE_NAME)
	cp Make-mpy $(Y_HOME)
	cp mpy $(Y_BINDIR)
	cp libmpy.a $(Y_LIBDIR)
	$(RANLIB) $(Y_LIBDIR)/libmpy.a

uninstall1:
	$(RM) $(Y_HOME)/Make-mpy
	$(RM) $(Y_BINDIR)/mpy
	$(RM) $(Y_LIBDIR)/libmpy.a

install: install1
	cp $(Y_INCLUDE) $(Y_SITE)/i0
	cp testmp.i $(Y_SITE)/i

uninstall: uninstall1
	cd $(Y_SITE)/i0; $(RM) $(Y_INCLUDE);
	$(RM) $(Y_SITE)/i/testmp.i

distclean:: clean
	$(RM) Make-mpy

MPY_DIR=mpy-$(MPY_VERSION)

dist: distclean
	$(RM) -r $(MPY_DIR) $(MPY_DIR).tar.gz
	mkdir $(MPY_DIR)
	cp README Makefile configure mp*-sh mpy.c mpy.i testmp.i $(MPY_DIR)
	tar cvf $(MPY_DIR).tar $(MPY_DIR)
	$(RM) -r $(MPY_DIR)
	gzip $(MPY_DIR).tar

mpy.o: mpy.c
	$(CC) $(CFLAGS) $(MPI_DEFS) $(MPI_INCLUDE) -c mpy.c

######################################################################

include $(MAKE_TEMPLATE)

=== play/Makefile ===
SHELL=/bin/sh
MAKE=make
include ../Make.cfg

SUBDIRS=unix x11 all

all: libyor

# the library is actually built from subdirectories (in order)
# if any subdirectory modifies libplay.a, make.done will be older
libyor:
	@for d in $(SUBDIRS); do ( cd $$d; $(MAKE); ); done
	@$(MAKE) make.done

make.done: libplay.a
	$(RANLIB) libplay.a
	@touch $@

config:
	cd unix; $(MAKE) config
	cd x11; $(MAKE) config

numfmt: libyor
	cd all; $(MAKE) numfmt

test2d: libyor
	cd all; $(MAKE) test2d

test3d: libyor
	cd all; $(MAKE) test3d

clean:: cleantop
	@for dir in $(SUBDIRS); do ( cd $$dir; $(MAKE) clean; ); done

distclean:: distcleantop
	@for dir in $(SUBDIRS); do ( cd $$dir; $(MAKE) distclean; ); done

cleantop:
	rm -f *~ '#'* *.o *.a *.done core a.out

distcleantop: cleantop

=== yorick/Makefile ===
SHELL=/bin/sh
MAKE=make
include ../Make.cfg

CFLAGS=$(COPTIONS) -I. -I../gist -I../play
X11LIB=$(XLIB) -lX11
CCLOAD=$(CC) $(LDOPTIONS) $(LDFLAGS)

REQ_DIRS=gist fft matrix
PKG_DIRS=$(REQ_DIRS) $(OPT_DIRS)
ALL_OPTS=drat hex

PKG_I=
PKG_LIBS=
SYS_LIBS=$(X11LIB) $(MATHLIB) $(FPELIB)
ALL_LIBS=$(PKG_LIBS) -L. -lyor $(SYS_LIBS)
D_Y_VERSION='-DY_VERSION="$(Y_VERSION)"'

STD_PKGS=../i0/graph.i ../i0/matrix.i ../i0/fft.i
MAIN_OBJS=main.o yinit.o

OBJS = task.o yorick.o yinput.o parse.o ydata.o yio.o fnctn.o array.o \
  range.o ops.o ops0.o ops1.o ops2.o ops3.o opsv.o nonc.o debug.o \
  std0.o std1.o std2.o ascio.o defmem.o yhash.o  yrdwr.o bcast.o \
  binio.o binobj.o binstd.o cache.o convrt.o binpdb.o clog.o \
  graph.o graph0.o style.o list.o pathfun.o fortrn.o ywrap.o

CLEAN_CRUFT=main.c ycode.c codger yorick pkg-*
PKG_MAKE=CODGER=../yorick/codger CODGER_I0=-i0=../i0 \
  YORINCL=-I../yorick PLAYINCL=-I../play C_OPTIMIZE="$(COPTIONS)" libyor
PKG_NUKE=MAKE_TEMPLATE=../Make.cfg yorclean
PKG_CLEAN=ZAP_DOTI= $(PKG_NUKE)

all: yorexe

libyor: codger
	@rm -f pkg-lib pkg-i; touch pkg-lib pkg-i
	@for d in $(PKG_DIRS); do ( cd ../$$d; $(MAKE) $(PKG_MAKE); ); done
	@p=`cat pkg-lib`; echo $$p >pkg-lib1
	@p=`cat pkg-i`; echo $$p >pkg-i1
	@echo ------------------ packages: `cat pkg-i1`
	@echo ------------------ libraries: `cat pkg-lib1`
	@$(MAKE) PKG_LIBS="`cat pkg-lib1`" PKG_I="`cat pkg-i1`" make.done
	@echo ------------------ made libyor target

yorexe: libyor
	@echo ------------------ packages: `cat pkg-i1`
	@echo ------------------ libraries: `cat pkg-lib1`
	@$(MAKE) PKG_LIBS="`cat pkg-lib1`" PKG_I="`cat pkg-i1`" yorick
	@echo ------------------ made yorexe target
	@rm -f pkg-*

make.done: $(OBJS) libyor.a
	$(AR) r libyor.a $(OBJS)
	$(RANLIB) libyor.a
	@touch $@

yorick: libyor.a $(MAIN_OBJS)
	$(CCLOAD) -o $@ $(MAIN_OBJS) $(ALL_LIBS)

check: yorexe
	./yorick -batch testfull.i

config:
	./yconfig.sh

optclean:
	@for d in $(ALL_OPTS); do ( cd ../$$d; $(MAKE) $(PKG_CLEAN); ); done

optnuke:
	@for d in $(ALL_OPTS); do ( cd ../$$d; $(MAKE) $(PKG_NUKE); ); done

clean:: optclean
	rm -f *~ '#'* *.o *.a core a.out cfg.* *.done $(CLEAN_CRUFT)

distclean:: optnuke
	rm -f *~ '#'* *.o *.a core a.out cfg.* *.done $(CLEAN_CRUFT)
	rm -f prmtyp.h Maketmpl Make-cxx .gdbinit

echofc:
	echo "$(FC)" >cfg.tmp

# -------------- auxilliary codes and files ---------------

codger: codger.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(FORTRAN_LINKAGE) -o codger codger.c

ycode.c: codger ../i0/std.i $(STD_PKGS) $(PKG_I)
	./codger -i0=../i0 $(Y_HOME) $(Y_SITE) $(STD_PKGS) - $(PKG_I)

yinit.o: ycode.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DYINIT_C -c ycode.c
	mv ycode.o yinit.o

ywrap.o: ycode.c
	$(CC) $(CPPFLAGS) $(CFLAGS) -DYWRAP_C -c ycode.c
	mv ycode.o ywrap.o

main.c: ../play/unix/pmain.c
	cp ../play/unix/pmain.c main.c

../play/all/numfmt:
	@cd ../play; $(MAKE) numfmt

prmtyp.h: ../play/all/numfmt ../play/all/numfmt.c
	../play/all/numfmt prmtyp.h

# ------------- dependencies -------------

# Note: indirectly included headers separated by three spaces
# ydata.h: binio.h hash.h
# binio.h: hash.h
# yio.h: hash.h pstdio.h
# defmem.h: pstdlib.h
# bcast.h: ydata.h   binio.h hash.h

PLAY=../play/play.h
PSLIB=../play/pstdlib.h
PSIO=../play/pstdio.h
PLAYALL=$(PLAY) $(PSLIB) $(PSIO)
HGIST=../gist/gist.h ../gist/hlevel.h

array.o: ydata.h   binio.h hash.h
ascio.o: ydata.h yio.h defmem.h $(PSLIB) $(PLAY)   binio.h hash.h $(PSIO)
bcast.o: bcast.h   ydata.h binio.h hash.h
binio.o: ydata.h yio.h defmem.h $(PSLIB)   binio.h hash.h $(PSIO)
binobj.o: bcast.h defmem.h $(PSLIB)   ydata.h binio.h hash.h
binpdb.o: ydata.h yio.h $(PSLIB)   binio.h hash.h $(PSIO)
binstd.o: binio.h $(PSLIB)   hash.h
cache.o: binio.h $(PSLIB) $(PSIO)   hash.h
clog.o: ydata.h yio.h $(PSLIB)   binio.h hash.h $(PSIO)
convrt.o: binio.h $(PSLIB)   hash.h
debug.o: ydata.h yio.h $(PSLIB) $(PLAY)   binio.h hash.h $(PSIO)
defmem.o: defmem.h   $(PSLIB)
fnctn.o: ydata.h   binio.h hash.h
fortrn.o: fortrn.c yasync.h $(PSLIB)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(FORTRAN_LINKAGE) -c fortrn.c
graph.o: graph.c ydata.h yio.h   binio.h hash.h $(PLAYALL) $(HGIST)
graph0.o: ydata.h   binio.h hash.h
yhash.o: hash.h defmem.h $(PSLIB)
list.o: ydata.h defmem.h   binio.h hash.h
nonc.o: nonc.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(NO_HYPOT) -c nonc.c
ops.o: bcast.h $(PSLIB)   ydata.h binio.h hash.h
ops0.o: ydata.h   binio.h hash.h
ops1.o: ydata.h   binio.h hash.h
ops2.o: ydata.h   binio.h hash.h $(PSLIB)
ops3.o: bcast.h $(PSLIB)   ydata.h binio.h hash.h
opsv.o: ydata.h $(PSLIB) prmtyp.h   binio.h hash.h
parse.o: parse.h ydata.h $(PSLIB)   binio.h hash.h
pathfun.o: yio.h $(PSLIB)   hash.h $(PSIO)
range.o: ydata.h   binio.h hash.h
std0.o: std0.c bcast.h yio.h defmem.h $(PSLIB) $(PLAY)   ydata.h binio.h hash.h $(PSIO)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_Y_VERSION) -c std0.c
std1.o: ydata.h $(PSLIB) $(PLAY)   binio.h hash.h
std2.o: ydata.h yio.h $(PSLIB) $(PLAY)   binio.h hash.h $(PSIO)
style.o: style.c ydata.h $(PSLIB) $(HGIST) ../gist/draw.h   binio.h hash.h
task.o: ydata.h yio.h $(PSLIB) $(PLAY)   binio.h hash.h $(PSIO)
ydata.o: bcast.h defmem.h $(PSLIB)   ydata.h binio.h hash.h
yinput.o: yio.h parse.h hash.h $(PSLIB) $(PLAY)   $(PSIO)
yio.o: yio.h defmem.h ydata.h $(PSLIB) $(PLAY)   binio.h hash.h $(PSIO)
yorick.o: yorick.c parse.h $(PSLIB) $(PLAY)
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_NO_STRTOUL) -c yorick.c
yrdwr.o: bcast.h $(PSLIB)   ydata.h binio.h hash.h

# Always compile main.c with -g so new packages can be debugged.
main.o: main.c
	$(CC) $(CPPFLAGS) -I../play -g -c main.c

=== debian/changelog ===
yorick (1.5.14-1) unstable; urgency=low

  * fixed info manual long ago (Closes: #75177)
  * upgrade to 1.5.14, see NEWS for changes

 -- David H. Munro <munro@icf.llnl.gov>  Wed,  8 Oct 2002 16:38:57 -0800

yorick (1.5.12-1) unstable; urgency=low

  * upgrade to 1.5.12, see NEWS for changes

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 21 Nov 2002 16:38:57 -0800

yorick (1.5.10-1) unstable; urgency=low

  * added -geometry switch to gist (Closes: #150115)
  * fixed gist font orientation (Closes: #150110)
  * reworded gist "partly illegible" warning (Closes: #150093)
  *   (the warning is not bogus, a file with cell arrays really
  *    would be partly illegible)
  * numerous other more serious bug fixes, see NEWS

 -- David H. Munro <munro@icf.llnl.gov>  Mon,  1 Jul 2002 15:12:04 -0800

yorick (1.5.08-1) unstable; urgency=low

  * 1.5.08 replaces infant mortality 1.5.07, see NEWS

 -- David H. Munro <munro@icf.llnl.gov>  Mon,  4 Feb 2002 08:47:40 -0800

yorick (1.5.07-1) unstable; urgency=low

  * renumber version to accomodate binary file change in upstream source
  * numerous bug fixes, see NEWS file

 -- David H. Munro <munro@icf.llnl.gov>  Mon, 28 Jan 2002 09:15:46 -0800

yorick (1.5-06) unstable; urgency=low

  * private release, never uploaded

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 25 Jan 2002 15:12:26 -0800

yorick (1.5-05) unstable; urgency=low

  * private release, never uploaded

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 25 Jan 2002 15:11:44 -0800

yorick (1.5-04) unstable; urgency=low

  * repair debian problems (Closes: #116588)

 -- David H. Munro <munro@icf.llnl.gov>  Mon, 22 Oct 2001 15:11:07 -0700

yorick (1.5-03) unstable; urgency=low

  * fixes many bugs in 1.5-02, see NEWS file

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 19 Oct 2001 15:11:07 -0700

yorick (1.5-02) frozen unstable; urgency=low

  * repairs debian/control (Closes: #105154)

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 19 Jul 2001 15:11:07 -0700

yorick (1.5-01) unstable; urgency=low

  * version 1.5.01 upstream release

 -- David H. Munro <munro@icf.llnl.gov>  Sat,  5 May 2001 12:45:38 -0700

yorick (1.4-15) unstable; urgency=low

  * resync 1.4-14.2 with upstream sources

 -- David H. Munro <munro@icf.llnl.gov>  Wed,  2 May 2001 14:27:45 -0700

yorick (1.4-14.2) unstable; urgency=low

  * NMU
  * Package is orphaned: maintainer set to the Debian QA Group,
  which acknowledges the previous NMU. (Closes: #91102, #91103, #91726,
  #91727, #91728)
  * Maintainer stated in the entry for yorick 1.4-13 that he had
  dealt with bugs 30857, 37405, 37587 and 39814, therefore I'm assuming
  he forgot to close them. (Closes: #30857, #37405, #37587, #39814)

 -- Carlos Laviola <claviola@ajato.com.br>  Sat, 21 Apr 2001 00:41:26 -0300

yorick (1.4-14.1) unstable; urgency=low

  * NMU
  * Yorick/doc/yorick.tex: Typo is fixed (Closes: #75177)
  * debian/rules: replaced every reference of /usr/{doc,man} with the proper
  		  paths, which are /usr/share/{doc,man} now.
  (Closes: #91102, #91103, #91726, #91727, #91728)
  * Upped Standards-Version to 3.5.2.

 -- Carlos Laviola <claviola@ajato.com.br>  Mon, 16 Apr 2001 21:41:45 -0300

yorick (1.4-14) frozen unstable; urgency=low

  * fix unsigned char parsing problems, other minor fixes

 -- David H. Munro <munro@icf.llnl.gov>  Mon, 17 Apr 2000 14:00:10 -0700

yorick (1.4-13) unstable; urgency=low

  * deal with bugs 30857 37405 37587 39814

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 30 Jul 1999 11:06:19 -0700

yorick (1.4-12) stable unstable; urgency=low

  * attempt to cope with slink and potato problems

 -- David H. Munro <munro@icf.llnl.gov>  Wed, 28 Apr 1999 10:30:17 -0700

yorick (1.4-11) frozen unstable; urgency=low

  * fixed bogus xdevel virtual package dependency

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 17 Dec 1998 09:48:48 -0800

yorick (1.4-10) frozen unstable; urgency=low

  * many bug fixes, see NEWS file

 -- David H. Munro <munro@icf.llnl.gov>  Mon,  7 Dec 1998 10:39:08 -0800

yorick (1.4-9) unstable; urgency=low

  * fixes bugs with rotated text and other graphics

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 10 Apr 1998 08:21:56 -0700

yorick (1.4-8) unstable; urgency=low

  * added copyright for yorick-dev, upstream bug fixes

 -- David H. Munro <munro@icf.llnl.gov>  Tue, 17 Mar 1998 12:21:04 -0800

yorick (1.4-7) unstable; urgency=low

  * fix double-align problem for x2 speedup of fft, matrix ops

 -- David H. Munro <munro@icf.llnl.gov>  Wed,  4 Feb 1998 17:19:27 -0800

yorick (1.4-6) unstable; urgency=low

  * rebuilt with libc6 and xlib6g for hamm

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 15 Jan 1998 18:20:14 -0800

yorick (1.4-5) unstable; urgency=low

  * upstream bug fixes thru 7/Nov/97 patch

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 7 Nov 1997 17:12:23 -0800

yorick (1.4-4) unstable; urgency=low

  * many small bug fixes and improvements

 -- David H. Munro <munro@icf.llnl.gov>  Tue, 7 Oct 1997 10:48:08 -0700

yorick (1.4-3) unstable; urgency=low

  * Fixed package description to conform with debian-policy.

 -- David H. Munro <munro@icf.llnl.gov>  Tue, 29 Apr 1997 09:23:08 -0700

yorick (1.4-2) unstable; urgency=low

  * fixed Gist/ps.ps, Yorick/ascio.c, yorick-dev and g77 dependencies

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 10 Apr 1997 11:49:39 -0700

yorick (1.4-1) unstable; urgency=low

  * New 1.4 version

 -- David H. Munro <munro@icf.llnl.gov>  Tue, 18 Mar 1997 17:56:14 -0800

yorick (1.3-3) unstable; urgency=low

  * install through patch-4 on ftp-icf.llnl.gov:/pub/Yorick

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 17 Jan 1997 14:11:51 -0800

yorick (1.3-2) unstable; urgency=low

  * Upgraded to debstd technology, included yorick-1.3-patch-1.

 -- David H. Munro <munro@icf.llnl.gov>  Fri, 3 Jan 1997 15:14:46 -0800

yorick (1.3-1) unstable; urgency=low

  * Initial Release.

 -- David H. Munro <munro@icf.llnl.gov>  Thu, 2 Jan 1997 12:38:08 -0800

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: yorick
Section: math
Priority: optional
Maintainer: David H. Munro <munro1@llnl.gov>
Build-Depends: xlibs-dev, texinfo, debmake
Standards-Version: 3.6.1

Package: yorick
Architecture: any
Depends: ${shlibs:Depends}
Conflicts: yorick-dev, yorick-gist
Replaces: yorick-dev (<=1.4-15), yorick-gist (<=1.4-15)
Suggests: gs, xfig, yorick-doc
Description: interpreted language and scientific graphics
 Yorick is an interpreted programming language for:
  * scientific simulations or calculations
  * postprocessing or steering large simulation codes
  * interactive scientific graphics
  * reading, writing, and translating large files of numbers
 .
 The language features a compact syntax for many common array
 operations, so it processes large arrays of numbers very quickly and
 efficiently.  Superficially, yorick code resembles C code, but yorick
 variables are never explicitly declared and have a dynamic scoping
 similar to many Lisp dialects.  The yorick language is designed to be
 typed interactively at a keyboard, as well as stored in files for
 later use.
 .
 This package includes an emacs-based development environment, which
 you can launch by typing M-x yorick in emacs.
 .
 ftp://ftp-icf.llnl.gov/pub/Yorick/doc/index.html

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian.rules file - for GNU Hello (1.3).
# Copyright 1994,1995 by Ian Jackson.
# I hereby give you perpetual unlimited permission to copy,
# modify and relicense this file, provided that you do not remove
# my name from the file itself.  (I assert my moral right of
# paternity under the Copyright, Designs and Patents Act 1988.)
# This file may have to be extensively modified
#
# Modified to be a prototype for debmake by Christoph Lameter <clameter@debian.org>

package=yorick
SHELL = /bin/bash

build:
	$(checkdir)
# expect the HOSTTYPE environment variable to be set and
# passed along by make, e.g.-  HOSTTYPE=i386
	make prefix=/usr ysite
	make
	make docs
	cd doc; make yorick.info
	strip gist/gist
	strip yorick/yorick
	touch build

clean:
	$(checkdir)
	-rm -f build
	-make distclean
	-rm -f Yorick/doc/yorick.info*
	-rm -f Yorick/doc/*.doc
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core

binary-indep:	checkroot build
	$(checkdir)
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.
# Actually, there are architecture independent files, but Yorick's install
# target installs them together with the architecture dependent files
# in /usr/share/yorick.

binary-arch:	checkroot build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp/usr/{bin,lib}
	make INSTALL_ROOT=debian/tmp Y_BINDIR=debian/tmp/usr/bin install
	cp hex/libhex.a drat/libdrat.a debian/tmp/usr/lib/yorick/1.5/lib
	install -d debian/tmp/usr/share/man/man1
	cp doc/yorick.1 doc/gist.1 debian/tmp/usr/share/man/man1
	install -d debian/tmp/usr/share/{info,doc}
	cp doc/yorick.info* debian/tmp/usr/share/info
	install -d debian/tmp/usr/lib/yorick/1.5/lib/contrib
	install -d debian/tmp/usr/share/yorick/1.5/contrib
	cp emacs/yorick.el debian/tmp/usr/share/yorick/1.5
	sed emacs/yorick-auto.el >debian/tmp/usr/share/yorick/1.5/yorick-auto.el -e s%'"'yorick%'"'/usr/share/yorick/1.5/yorick%g
	debstd
	dpkg-gencontrol -isp -p$(package)
	chown -R root.root debian/tmp
	chmod -R go=rX debian/tmp
	dpkg --build debian/tmp ..

define checkdir
	test -f debian/rules
endef

# Below here is fairly generic really

binary:		binary-indep binary-arch

source diff:
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

checkroot:
	$(checkdir)
	test root = "`whoami`"

.PHONY: binary binary-arch binary-indep clean checkroot

## yorick 1.5.14-1.1

=== play/all/Makefile ===
SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

CFLAGS=$(COPTIONS) -I. -I.. -I../unix -I../x11
X11LIB=$(XLIB) -lX11
CCLOAD=$(CC) $(LDOPTIONS) $(LDFLAGS)

OBJS=hash.o hash0.o hashctx.o hashid.o mm.o mminit.o \
  alarms.o pmemcpy.o pstrcpy.o pstrncat.o p595.o \
  bitrev.o bitlrot.o bitmrot.o

all: make.done numfmt

make.done: $(OBJS)
	$(AR) rc ../libplay.a $(OBJS)
	@touch $@

EXE_FILES=numfmt test2d hashtest test3d
clean::
	rm -f *~ '#'* *.o *.a *.done pmain.c core a.out $(EXE_FILES)

distclean:: clean
	rm -f .gdbinit



numfmt: numfmt.c
	$(CC) -g -o $@ numfmt.c

test3d: pmain.o test3d.o ../libplay.a
	$(CCLOAD) -o $@ pmain.o test3d.o -L.. -lplay $(GLIBS) $(MATHLIB)

test2d: pmain.o test2d.o ../libplay.a
	$(CCLOAD) -o $@ pmain.o test2d.o -L.. -lplay $(X11LIB)

test: test2d

hashtest: hashtest.o ../libplay.a
	$(CCLOAD) -o $@ hashtest.o -L.. -lplay

hash.o: ../unix/config.h ../phash.h ../pstdlib.h
hash0.o: ../unix/config.h ../phash.h
hashctx.o: ../unix/config.h ../phash.h
hashid.o: ../unix/config.h ../phash.h ../pstdlib.h

mm.o: ../unix/config.h ../pstdlib.h
mminit.o: ../unix/config.h ../pstdlib.h
pfrall.o: ../unix/config.h ../pstdlib.h

alarms.o: ../unix/config.h ../play.h ../pstdlib.h

pmemcpy.o: ../unix/config.h ../pstdlib.h
pstrcpy.o: ../unix/config.h ../pstdlib.h
pstrncat.o: ../unix/config.h ../pstdlib.h

bitrev.o: ../unix/config.h ../play.h
bitlrot.o: ../unix/config.h ../play.h
bitmrot.o: ../unix/config.h ../play.h
p595.o: ../play.h

test2d.o: ../play.h ../pstdlib.h ../pstdio.h
hashtest.o: ../phash.h ../pstdlib.h ../pstdio.h
test3d.o: test3d.c ../playgl.h ../play.h ../pstdlib.h ../pstdio.h
	$(CC) $(CPPFLAGS) $(CFLAGS) $(GINCS) -c test3d.c

pmain.o: pmain.c ../play.h
pmain.c: ../unix/pmain.c
	cp ../unix/pmain.c .

=== play/unix/Makefile ===
SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

CFLAGS=$(COPTIONS) -I. -I..

OBJS=dir.o files.o fpuset.o handler.o pathnm.o stdinit.o timeu.o \
  timew.o uevent.o ugetc.o uinbg.o usernm.o slinks.o umain.o

all: make.done

make.done: $(OBJS)
	$(AR) rc ../libplay.a $(OBJS)
	@touch $@

config:
	CC="$(CC)" CFLAGS="$(COPTIONS)" LDFLAGS="$(LDOPTIONS)" MATHLIB="$(MATHLIB)" ./config.sh

clean::
	rm -f *~ '#'* *.o *.a *.done cfg* config.0* fputest core a.out

distclean:: clean
	rm -f config.h



dir.o: config.h ../play.h playu.h ../pstdlib.h ../pstdio.h dir.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_DIR1) $(D_DIR2) -c dir.c
files.o: config.h ../pstdio.h ../pstdlib.h playu.h
fpuset.o: config.h playu.h fpuset.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_FPUSET) -c fpuset.c
handler.o: config.h ../play.h playu.h ../pstdlib.h
pathnm.o: config.h ../play.h playu.h ../pstdlib.h pathnm.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USERNM) -c pathnm.c
slinks.o: config.h playu.h ../pstdlib.h ../pstdio.h
stdinit.o: config.h ../play.h ../pstdlib.h ../pstdio.h playu.h
timeu.o: config.h ../play.h timeu.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_TIMEU) -c timeu.c
timew.o: config.h ../play.h timew.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_TIMEW) -c timew.c
uevent.o: config.h upoll.h upoll.c ../play.h playu.h ../pstdlib.h uevent.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_UEVENT) -c uevent.c
ugetc.o: config.h playu.h ugetc.h ../pmin.h
uinbg.o: config.h playu.h uinbg.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_UINBG1) $(D_UINBG2) -c uinbg.c
usernm.o: config.h ../play.h usernm.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(D_USERNM) -c usernm.c
umain.o: config.h ../play.h playu.h ../pstdlib.h

=== play/x11/Makefile ===
SHELL=/bin/sh
MAKE=make
include ../../Make.cfg

CFLAGS=$(COPTIONS) -I. -I.. -I../unix $(XINC)

OBJS=colors.o connect.o cursors.o errors.o events.o feep.o fills.o \
  fonts.o images.o lines.o pals.o pwin.o resource.o rgbread.o textout.o \
  rect.o ellipse.o clips.o points.o $(GLXOBJ)

STD_DEPS=../unix/config.h ../play.h ../phash.h playx.h

all: make.done

make.done: $(OBJS)
	$(AR) rc ../libplay.a $(OBJS)
	@touch $@

config:
	CC="$(CC)" CFLAGS="$(COPTIONS)" LDFLAGS="$(LDOPTIONS)" ./xconfig.sh

clean::
	rm -f *~ '#'* *.o *.a *.done core a.out ../libx11.tgt

distclean:: clean



connect.o: $(STD_DEPS) ../pstdlib.h
resource.o: $(STD_DEPS)
pwin.o: $(STD_DEPS) ../pstdlib.h
errors.o: $(STD_DEPS) ../unix/playu.h ../pstdlib.h
events.o: $(STD_DEPS) ../unix/playu.h
clips.o: $(STD_DEPS)
feep.o: $(STD_DEPS)

colors.o: $(STD_DEPS)
pals.o: $(STD_DEPS) ../pstdlib.h
cursors.o: $(STD_DEPS)
fonts.o: $(STD_DEPS) ../pstdlib.h

points.o: $(STD_DEPS)
fills.o: $(STD_DEPS)
rect.o: $(STD_DEPS)
ellipse.o: $(STD_DEPS)
images.o: $(STD_DEPS) ../pstdlib.h
lines.o: $(STD_DEPS)
textout.o: $(STD_DEPS) ../pstdlib.h
rgbread.o: $(STD_DEPS)

oglx.o: $(STD_DEPS) ../pstdlib.h ../playgl.h oglx.c
	$(CC) $(CPPFLAGS) $(CFLAGS) $(GLCFLAGS) -c oglx.c

=== debian/changelog ===
yorick (1.5.14-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Split xlibs-dev build-dep (Closes: #346861).

 -- Luk Claes <luk@debian.org>  Mon,  9 Jan 2006 19:46:59 +0100

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: math
 Priority: optional
 Maintainer: David H. Munro <munro1@llnl.gov>
-Build-Depends: xlibs-dev, texinfo, debmake
+Build-Depends: libx11-dev, x-dev, texinfo, debmake
 Standards-Version: 3.6.1
 
 Package: yorick
